xml.c(3)

NAME
xml.c - XML parsing functions.

SYNOPSIS

#include <config.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/mman.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct xml_context

  Functions
int wget_xml_parse_buffer (const char *buf, wget_xml_callback *callback, void *user_ctx, int hints)
void wget_html_parse_buffer (const char *buf, wget_xml_callback *callback, void *user_ctx, int hints)
void wget_xml_parse_file (const char *fname, wget_xml_callback *callback, void *user_ctx, int hints)
void wget_html_parse_file (const char *fname, wget_xml_callback *callback, void *user_ctx, int hints)
char * wget_xml_decode_entities_inline (char *src)

Detailed Description

XML parsing functions.

Author

Generated automatically by Doxygen for wget2 from the source code.